// $Id: oss_device.h,v 1.8 2003/01/07 20:53:08 gordon Exp $	
//
// Copyright (C) 2002 Gordon Fraser <gordon@debian.org>
// Parts copyright (C) 1998  Sam Hawker <shawkie@geocities.com>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// See the COPYING file for more details
//

#ifndef __oss_device_h__
#define __oss_device_h__

#include <string.h>
#include <iostream>
#include "device.h"

//----------------------------------------------------------------------
class OSSDevice : public Device
{
 protected:
  unsigned mask_;

 public:
  OSSDevice(bool, bool, bool, bool, unsigned, const string&);
  virtual ~OSSDevice();
  
  unsigned getMask() const;
  bool toggleRecordSource();
  void setRecordSource(bool);
  bool isRecordSource();
  unsigned getValue() const;
  void setValue(unsigned);
};


#endif //__oss_device_h__
